> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Ticket

> Close an open support ticket.



## OpenAPI

````yaml post /tickets/{ticket}/close
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /tickets/{ticket}/close:
    post:
      summary: Close ticket
      description: Close an open support ticket.
      operationId: closeTicket
      parameters:
        - $ref: '#/components/parameters/ticket'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: CloseTicketOk
                required:
                  - status
                  - message
                properties:
                  status:
                    type: boolean
                    examples:
                      - true
                  message:
                    type: string
                    examples:
                      - Ticket closed successfully
          description: Ticket closed successfully.
        '400':
          content:
            application/json:
              schema:
                type: object
                title: CloseTicketAlreadyClosed
                properties:
                  status:
                    type: boolean
                    examples:
                      - false
                  error:
                    type: string
                    examples:
                      - Ticket is already closed
          description: Ticket is already closed.
        '403':
          content:
            application/json:
              schema:
                type: object
                title: CloseTicketUnauthorized
                properties:
                  status:
                    type: boolean
                    examples:
                      - false
                  error:
                    type: string
                    examples:
                      - This action is unauthorized
          description: User does not own the ticket.
      security:
        - Authorization: []
components:
  parameters:
    ticket:
      in: path
      name: ticket
      schema:
        type: integer
      required: true
      description: Ticket ID
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````